/*
 * @Author: Kane
 * @Date: 2023-01-23 22:56:17
 * @LastEditors: Kane
 * @LastEditTime: 2023-09-27 16:28:41
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/fileupload/FileUploadResult.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */

package com.cpic.xim.web.controllers.fileupload;

import java.util.Vector;
import com.cpic.xim.web.controllers.QueryResponse;
import com.fasterxml.jackson.annotation.JsonProperty;

@SuppressWarnings( "unused" )
public class FileUploadResult extends QueryResponse
{
    public FileUploadResult()
    {
        super();
    }

    public FileUploadResult( boolean success, 
                             String message, 
                             Vector<String> fileList )
    {
        super( success, message );

        this.fileList = fileList;
    }

    public Vector<String> getFileList()
    {
        return fileList;
    }

    public void setFileList( Vector<String> fileList )
    {
        this.fileList = fileList;
    }

    @JsonProperty( "fileList" )
    private Vector<String> fileList;
}

